Appearance
Stored only in your browser. Get one under Tokens.
Read the lines a log session streamed
GET
/devices/{id}/log-sessions/{sid}/lines
Waits up to 20 seconds for batches with a seq above ?after (default -1: from the first),
and returns as soon as there are some or the session has ended. Batches are kept 10 minutes.
next is the seq to pass as ?after next time; ended is set once the session has ended and every batch was returned.
Authorizations
ApiKeyAuth
Type
API Key (header: Authorization)
Parameters
Path Parameters
id*
ID|PRN|NICK
Type
Requiredstring
sid*
Log session ID
Type
Requiredstring
Query Parameters
after
Return batches after this seq
Type
integer
Responses
OK
application/json
JSON "batches": [ { "created_at": "string", "dropped": 0, "end": true, "lines": [ { "line": "string", "src": "string" } ], "reason": "string", "seq": 0 } ], "ended": true, "next": 0, "reason": "string"
{
}